# Poco::Impl

# class Ptr

Library: Foundation
Package: Core
Header: Poco/NumericString.h

## Description

Utility char pointer wrapper class. Class ensures increment/decrement remain within boundaries.

## Member Summary

Member Functions: operator ++, operator +=, operator --, operator -=, operator char *, span

## Constructors

### Ptr

Ptr(
char * ptr,
std::size_t offset
);

## Member Functions

### operator ++

char * & operator ++ ();

### operator ++

char * operator ++ (
int
);

### operator +=

char * & operator += (
int incr
);

### operator --

char * & operator -- ();

### operator --

char * operator -- (
int
);

### operator -=

char * & operator -= (
int decr
);

### operator char *

operator char * () const;

### span

std::size_t span() const;